<div>
  <!-- <div class="ui-g-12">
        <h2>
            <span jhiTranslate="mpmApp.tandaTerima.home.title">Tanda Terima</span>
            <button class="btn btn-primary float-right jh-create-entity create-tanda-terima"
                [routerLink]="['/tanda-terima-new']">
                <span class="fa fa-plus"></span>
                <span class="hidden-sm-down" jhiTranslate="mpmApp.tandaTerima.home.createLabel">
                    Create new Tanda Terima
                </span>
            </button>
        </h2>
    </div> -->
  <div class="ui-g-12">
    <h2>
      <span>Tanda Terima Surat Masuk</span>
      <button
        class="btn btn-primary float-right jh-create-entity create-tanda-terima"
        [routerLink]="['/tanda-terima-new-surat-skg']"
      >
        <span class="fa fa-plus"></span>
        <span class="hidden-sm-down"> Buat Tanda Terima Surat Masuk </span>
      </button>
    </h2>
  </div>
  <jhi-alert></jhi-alert>
  <div class="row">
    <div class="col-sm-12">
      <p-accordion>
        <p-accordionTab header="Filter" [selected]="false">
          <div class="row">
            <div class="ui-g-12">
              <div class="col-md-12">
                <div class="form-group">
                  <div class="ui-g-4">
                    <label class="form-control-label" for="field_PIC"
                      >Tanggal</label
                    >
                  </div>
                  <div class="ui-g-4">
                    <p-calendar
                    inputId="field_dtfrom"
                    name="input_dtfrom"
                    [(ngModel)]="filDtFrom"
                    dateFormat="dd-MM-yy"
                    [monthNavigator]="true"
                    [yearNavigator]="true"
                    yearRange="2000:2999"
                    appendTo="body"
                    ></p-calendar>
                  </div>
                  <div class="ui-g-4">
                    <p-calendar
                    inputId="field_dtthru"
                    name="input_dtthru"
                    [(ngModel)]="filDtThru"
                    dateFormat="dd-MM-yy"
                    [monthNavigator]="true"
                    [yearNavigator]="true"
                    yearRange="2000:2999"
                    appendTo="body"
                    ></p-calendar>
                  </div>
                </div>
               
              </div>
            </div>
            <div class="ui-g-12">
              <div class="col-md-6">
                <div class="form-group">
                  <button
                    pButton
                    type="submit"
                    label="Filter"
                    icon="fa-filter"
                    class="ui-button-primary flat-label-button"
                    (click)="filter()"
                  ></button>
                  <button
                    pButton
                    label="Reset Filter"
                    icon="fa-refresh"
                    class="ui-button-primary flat-label-button"
                    (click)="reset()"
                  ></button>
                </div>
              </div>
            </div>
          </div>
        </p-accordionTab>
      </p-accordion>
    </div>
    <div class="col-sm-12">
      <form name="searchForm" class="form-inline">
        <div class="input-group w-100 mt-3">
          <input
            type="text"
            class="form-control"
            [(ngModel)]="currentSearch"
            id="currentSearch"
            name="currentSearch"
            placeholder="Cari No Tanda Terima, Pengirim, Penerima atau Jenis Tanda Terima Surat"
          />
          <button
            class="input-group-addon btn btn-info"
            (click)="search(currentSearch)"
          >
            <span class="fa fa-search"></span>
          </button>
          <button
            class="input-group-addon btn btn-danger"
            (click)="clear()"
            *ngIf="currentSearch"
          >
            <span class="fa fa-trash-o"></span>
          </button>
        </div>
      </form>
    </div>
  </div>
  <br />
  <div>
    <p-dataTable
      [value]="tandaTerimas"
      [editable]="true"
      [rows]="itemsPerPage"
      [paginator]="true"
      [pageLinks]="5"
      [rowsPerPageOptions]="[10, 15, 20]"
      [totalRecords]="totalItems"
      [responsive]="true"
      [lazy]="true"
      [(first)]="first"
      [(selection)]="selected"
      row="itemsPerPage"
      totalRecords="totalItems"
      dataKey="idreceipt"
      expandableRows="false"
      (onLazyLoad)="loadDataLazy($event)"
      sortMode="multiple"
    >
      <p-header>
        <!-- <div class="d-flex flex-row-reverse">
          <div class="nav-item">
            <div>
              <form name="searchForm" class="form-inline">
                <div class="input-group w-70 mt-2">
                  <div class="btn-filter-wrapper">
                    <button [disabled]="selected?.length == 0" type="button"
                      class="btn btn-success btn-filter" (click)="createKirim()">
                      <span>Update Status Tanda Terima</span>
                    </button>
                    &nbsp; &nbsp;
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div> -->
      </p-header>
      <p-column selectionMode="multiple" [style]="{ width: '38px' }"></p-column>
      <p-column header="No" [style]="{ width: '70px', 'text-align': 'center' }">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
          {{ rowIndex + 1 }}
        </ng-template>
      </p-column>
      <p-column header="Nomor Tanda Terima">
        <ng-template let-rowData="rowData" pTemplate="body">
          {{ rowData.receiptno.substring(2) }}
        </ng-template>
      </p-column>
      <p-column header="Tanggal">
        <ng-template let-rowData="rowData" pTemplate="body">
          {{ rowData.dtreceipt | date: "dd-MM-yyyy" }}
        </ng-template>
      </p-column>
      <p-column header="Pembuat">
        <ng-template let-rowData="rowData" pTemplate="body">
          {{ rowData.createby }}
        </ng-template>
      </p-column>
      <p-column header="Pengirim">
        <ng-template let-rowData="rowData" pTemplate="body">
          {{ rowData.sender }}
        </ng-template>
      </p-column>
      <p-column header="Penerima">
        <ng-template let-rowData="rowData" pTemplate="body">
          {{ rowData.receiver }}
        </ng-template>
      </p-column>
      <p-column header="Jenis">
        <ng-template let-rowData="rowData" pTemplate="body">
          {{ rowData.doctype }}
        </ng-template>
      </p-column>
      <!-- <p-column header="Status Tanda Terima">
        <ng-template let-rowData="rowData" pTemplate="body">
          <span *ngIf="rowData.is_sent === '0' || rowData.is_sent === null"> Tanda Terima Belum di Terima </span>
          <span *ngIf="rowData.is_sent === '1'"> Tanda Terima Sudah di Terima</span>
        </ng-template>
      </p-column> -->
      <p-column
        header="Action"
        [style]="{ width: '150px', 'text-align': 'center' }"
      >
        <ng-template let-rowData="rowData" pTemplate="body">
          <div>
            <button
              pButton
              type="button"
              [routerLink]="[
              '../tanda-terima-edit-surat-skg/0/'+ page + '/' + rowData.idreceipt + '/true'
              ]"
              icon="fa-eye"
              class="flat-button"
              pTooltip="Lihat Tanda Terima"
            ></button>
            <button
              pButton
              type="button"
              [routerLink]="[
                '../tanda-terima-edit-surat-skg/0/'+ page + '/' + rowData.idreceipt + '/false'
              ]"
              icon="fa-pencil"
              class="flat-button"
              pTooltip="Edit Tanda Terima" [disabled]="rowData.is_sent === '1'"
            ></button>
            <button pButton type="button" icon="fa fa-close" class="flat-button" (click)="delete(rowData.idreceipt)"
            pTooltip="Hapus Tanda Terima" [disabled]="rowData.is_sent === '1'">
          </div>
        </ng-template>
      </p-column>
      <ng-template let-rowData let-rowIndex="rowIndex" pTemplate="rowexpansion">
      </ng-template>
    </p-dataTable>
  </div>
</div>
<p-confirmDialog header="Information" icon="fa fa-info"></p-confirmDialog>
